org.apache.ignite.internal.processors.cache

## Class CacheConfigurationSplitterImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheConfigurationSplitterImpl

All Implemented Interfaces:
  CacheConfigurationSplitter

    public class CacheConfigurationSplitterImpl
    extends Object
    implements CacheConfigurationSplitter

### Constructor Summary

Constructors
Constructor and Description
`CacheConfigurationSplitterImpl(Marshaller marshaller)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(CacheConfiguration ccfg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.CacheConfigurationSplitter

`split, split`

### Constructor Detail

#### CacheConfigurationSplitterImpl

    public CacheConfigurationSplitterImpl(Marshaller marshaller)

Parameters:
  `marshaller` - Marshaller.

### Method Detail

#### split

    public T2<CacheConfiguration,CacheConfigurationEnrichment> split(CacheConfiguration ccfg)

Specified by:
  `split` in interface `CacheConfigurationSplitter`
Parameters:
  `ccfg` - Cache configuration.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020